#ifndef TMSETMASK_H
#define TMSETMASK_H

#include <RQ_OBJECT.h>
#include <TGFrame.h>
#include <TGButtonGroup.h>
#include <TGTextEntry.h>
#include <TGLabel.h>

class TMSetMask : public TGTransientFrame {
    
  RQ_OBJECT("TMSetMask")

  public:
    
  TMSetMask(const TGWindow* p, const TGWindow *main, Bool_t mask);
  virtual ~TMSetMask();
  virtual void   CloseWindow();
  virtual void   MakeAssignment();
  virtual Bool_t ProcessMessage(Long_t msg, Long_t parm1, Long_t parm2);
  virtual void   ClearFields();

  private:

  const TGWindow        *fSPD;
  TGGroupFrame          *fTop;
  TGCompositeFrame	*fF[2];
  TGCompositeFrame	*fFrame[5];
  TGLabel               *fLabel[5];
  TGLabel               *fLabelE[5];
  TGTextEntry		*fText[5];
  TGTextEntry		*fTextE[5];
  TGLayoutHints		*fLayout, *fLayout2, *fLayout3, *fLayout4, *fLayout5;
  TGTextButton          *fTextB[3];
  Bool_t                fLetUserCloseWindow;
  Bool_t                bMask;

  enum EEvents {
    TEXT_VAL0,
    TEXT_VAL1,
    TEXT_VAL2,
    TEXT_VAL3,
    TEXT_VAL4,
    TEXT_VALE0,
    TEXT_VALE1,
    TEXT_VALE2,
    TEXT_VALE3,
    TEXT_VALE4,
    BUTTON_APPLY,
    BUTTON_CLOSE,
    BUTTON_CLEAR,
  };

  ClassDef(TMSetMask, 1);
};

#endif
